Title

×

  • Title
  • Proxima

SURICATO 2.10

Version: 1.0.0.1
10-2019

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


1. Suricato 2.10 Installation Guide

© Copyright
This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in full or in part, as long as this Copyright on each copy.
® Registered Trademarks
SURICATO and CODIN are registered trademarks of Telemática Sistemas Inteligentes. Technical specifications and their availabilities are subject to change without prior notice.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


2. Welcome to Suricato

Tópico:2. Welcome to Suricato

2.1. About the Suricato system
2.2. What is a Meerkat (Suricato)?

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


2.1. About the Suricato system

SURICATO is an access control and security system with advanced resources that ensure protection to any kind of business, size or segment, in internal and external areas, supervised in real time.
It works on different security fronts, such as monitoring alarms, breach and intrusion, as well as manual and automatic handling of such alarms.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


2.2. What is a Meerkat (Suricato)?

Meerkat (Suricato)
The Meerkat (Suricato) is a mammal of the mongoose family. They live in groups and inhabit some of the most inhospitable areas of the planet.
Meerkats (Suricato) share the tasks of patrolling the nests and watching over the area they occupy.
One group is always on alert while the others sleep, forage for food or play.
A Meerkat (Suricato) always ensures protection so that the group feels safe in its tasks.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3. Architecture Configuration

Tópico:3. Architecture Configuration

3.1. Architecture Model A
3.2. Architecture Model B
3.3. Architecture Model C
3.4. Architecture Model D
3.5. System requirements

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3.1. Architecture Model A

In this architecture model the CONEX Server and the Application Server are the same. Use for a network with no more than 50 CODIN. If the system has more than 30 CODIN and uses SmartCard technology, we recommend the use of Architecture B.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3.2. Architecture Model B

In this architecture model, the database (SGBD), CONEX and Suricato application servers are separate, so the processing load is dedicated to its respective server. Use for a network with no more than 500 CODIN (1 CONEX server machine for every 500 CODIN).

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3.3. Architecture Model C

In this architecture model, the database server and the application server are separate, so the processing load is balanced. Use for a network with no more than 500 CODIN (1 CONEX server machine for every 500 CODIN).
For contingency, the architecture provides for a second database server - SGBD.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3.4. Architecture Model D

In this architecture model, the database server and the application server are separate, so the processing loads are distributed.
Use for a network with no more than 500 CODIN (1 CONEX server machine for every 500 CODIN).
For contingency, this architecture provides for a second application server, and a second database server. Hence, in the event of problems with the application server and database server, the other contingency servers automatically enter operation.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


3.5. System requirements

System Requirements - Software
Operating System - Server
•  Microsoft Windows Server® 2008 R2
•  Microsoft Windows Server® 2012 R2
Operating System - Station
•  Microsoft Windows 7 (Professional – SP1)
•  Microsoft Windows 8 (Professional)
•  Microsoft Windows 10 (Professional)
Application Server Support
•  Apache 2.4.38.0 (Native)
•  Microsoft IIS 7, 7.5, 8.0 and 8.5
PHP
•  PHP 5.6.31
DBMS
•  Microsoft SQL Server 2008, 2012 and 2014, 2016 – (english standard)
•  Oracle 10G, 11G and 12C – (english standard)
DBMS Collate
• SQL Server use: Latin1_General_CI_AS
• Oracle use: .WE8ISO8859P1
TCP Firewall Port
• 1365 for Conex (Access)
• 1366 for ConexReP (Point)
• 443 for Web Server
• 1521 for Oracle customer
• 1433 for SQL Server Client
Other Software
• JRE 1.6 or higher
• Internet Explorer 7, 8 and 11
System Requirements - Hardware
DBMS Server - Recommended Configuration
• Intel® Xeon® Quad Core Processor (X5687)
• 16GB memory
• Disk Space to Install: 2GB
• CD-ROM
Application Server - Recommended Configuration
• Intel® Xeon® Quad Core Processor (X5687)
• 8GB memory
• Disk Space to Install: 4GB
• CD-ROM
Conex Server - Recommended Configuration
• Intel® Xeon® Quad Core Processor (X5687)
• 16GB Memory (500 CODINs) / 32GB Memory (1000 CODINs)
• Over 1000 CODINs, add a new server
• Disk Space to Install: 1GB
• CD-ROM
Workstation - Recommended Configuration
• Intel® Core ™ I5 2400 Processor (3.1GHZ, 6M)
• 8GB memory
Graphic Monitoring Station - Recommended Configuration
• Intel® Core ™ I7 2600s Processor (2.8GHZ, 8M)
• 8GB memory

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4. Installation & Setup

IMPORTANT
The installation process uses the internet to authenticate the installation and validate the license. If the server has no internet connection, the validation will need to be performed OFF-LINE.

Tópico:4. Installation & Setup

4.1. Protection Device
4.2. Installation Path
4.3. Database
4.4. Application
4.5. Web server
4.6. Production Environment
4.7. Accessing Suricato

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.1. Protection Device

Click on the suricato.exe file inside the installation package folder and wait until the wizard screen appears.
Initial Suricato Installation Wizard Screen
Suricato 2.10 is available in Portuguese (Brazil), Spanish (Spain) and English (United States). Select the installation language by clicking on the corresponding image.
Installation Language Selection
The installation wizard will display the following screen:
Welcome Screen
Click on the magnifier and a screen will be presented. Select the installation package path. In this case, we are selecting the installation package path so that de installer can validate the license file (serial.txt) inside the folder.
License Validation Path
After selecting the installation folder directory, click on the OK button and we'll return to the installation screen.
Directory Selection
Click on the Start button and the main screen will be displayed.
Home Screen

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.2. Installation Path

Installation Location is the directory where the system files will be stored. The system will suggest the default location: Program Files.
The systems allows for changing the installation directory. To change this, click on the Installation Path button and select the desired path.
Installation Path
During the first installation of Suricato, Path information will be stored on the computer. When, if necessary, the installation is run again, the installation path where the system was installed the first time will be stored and shown automatically.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.3. Database

Database is the option for executing SQL scripts to create the system’s basic structure. Some options will be filled in according to the Application screen. The type option needs to be filled in:
SQL SERVER – SCRIPT => Create files corresponding to the SQL script for SQL SERVER.
ORACLE – SCRIPT => Create files corresponding to the SQL script for ORACLE.
The files will be created in the installation directory and the execution order defined in the Readme.txt file needs to be followed.
If the database is ORACLE, three required fields must be informed: TS Data / TS Index / TS Temp. A valid server path must be informed so that the necessary files are stored in the right folder. These files are related to the ORACLE TableSpace.
To create the scripts click on the Execute button.
Database
If no problem is encountered during execution, the following message will be displayed. SURICATO CREATED!

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.4. Application

Application is the option for executing a copy of files. It is mandatory to fill in the database connection parameters.
If installation on SQL SERVER is selected
A question will appear asking if the SQL server is the 2008 version.
To start copying files, click on the Application button, select the correct database and click the Execute button.
Application
You can track installation progress. When the file copying finishes, the “INSTALLED APPLICATION FILES” message will be displayed.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.5. Web server

Web Server is the option for configuring application server initialization. The web server uses the TCP/IP 443 port for operation. The system validates the use of the TCP/IP 443 port. If it is in use, the following message will be displayed: PORT 443 IN USE.
If necessary, the user is allowed to change the TCP/IP port and the system automatically validates use.
By default the Windows Telemática Suricato service will be installed and configured. But the user has options:
Install, Start, Stop or Uninstall the service.
Generate the HTTPD.CONF or PHP.INI files, responsible for configuration of the application server.
To start, click the Web Server button, define the database type, configure database connection parameters, and click on the Execute button.
Web Server

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.6. Production Environment

Ambiente de Produção is the option for configuring the system’s initialization. It is mandatory to define the database Type and the TCP/IP address or name of the database server.
The configuration options are:
Generate the PROD.INI file, responsible for the connection to the database of web applications.
Generate the CGI.HTML file, responsible for IP redirecting.
Install the Windows Telemática Pending Issue Manager service.
Install the Windows Telemática Service Manager service.
Configure the CODIN versus Manager connection (CONEX or ARLON), and when CONEX is selected, install the Telemática CODIN Connection service.
To start, click the Environment button, configure parameters for connection to the database, and click the Execute button.
Production Environment

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


4.7. Accessing Suricato

Complete the installation process by clicking on the Exit button.
Exit Installation
The system will add a Suricato icon to the Desktop.
If you need to access the system from another machine, use the URL:
https://IP_SURICATO_SERVER/telematica/suricato.exe
Access to the Suricato System

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5. Installing on IIS 7

Tópico:5. Installing on IIS 7

5.1. Configure Digital Certificate
5.2. Adding Binding Port
5.3. Create Virtual Directory: Scriptcase
5.4. Enable Php mode via ISAPI
5.5. Configure Suricato.dll via ISAPI Module

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5.1. Configure Digital Certificate

In the Connections column, select the ESK (ESK\Administrator) item and then click on Server Certificates.
ESK Home
In the Actions column, click on Create Certificate Request.
Server Certificates Screen
Fill in the data to generate the certificate and then click on Next.
Certificate Screen
In Cryptographic service provider: select (Microsoft RSA SChannel Cryptographic Provider)
In Bit length: select (1024) and then click on Next.
Certificate Encryption Screen
Enter the file creation location name and click on Finish.
Certificate Screen
In the ISS folder located at “C:\Program Files\Telematica\Suricato\Telematica\Suricato\iis”
Click on the Certificado.exe file and browse to the same file generated in figure 30.
IIS Certificate Generator
The IIS Certificate Generator will display the message below.
Confirmation of Generated Certificate
In the Actions column, click on Complete Certificate Request.
Click the (...) button and locate the suricato.cer file. Enter the Certificate name and click the (OK) button.
Complete Certificate Request Screen
The Suricato certificate will be generated on the Server Certificates screen.
Server Certificates Screen

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5.2. Adding Binding Port

In the Connections column, click on Default Web Site. After viewing the Default Web Site Home page, click on the Bindings link in the Actions column.
Default Web Site Screen
Click the (Add...) button
Site Bindings Screen
Select Type: (https), IP address: (Server IP), Port: (443), SSL certificate: (Suricato).
Add Site Binding Screen
After filling in the content of fields, click the (OK) button.

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5.3. Create Virtual Directory: Scriptcase

On the main screen, Connections column, select the Default Web Site link.
Default Web Site Home Screen
In the Connections column, right-click on the Default Web Site link and select the Add Virtual Directory option.
Virtual Directories Screen
In the Alias field, enter the name “scriptcase”; in the Physical path field, enter the path to the ScriptCase folder “C:\Program Files\Telematica\Suricato\Telematica\Suricato\scriptcase”.
Add Virtual Directory Screen
Click the (OK) button.
The ScriptCase folder directory will be created on the Virtual Directories screen.
Virtual Directories Screen
In the Scriptcase folder located:
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\scriptcase”
Right-click on the Scriptcase folder, select the Properties -> Security option and apply full control privilege to access the folder.
Scriptcase Properties Screen
On the main Internet Information Services screen, select the ESK (ESK\Administrator) link.
In the Actions column, click on the Restart link.
Internet Information Services Screen
In the StriptCase folder, create the “teste.html” file.
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\scriptcase”
Within the file, type:
<html>
<p1>Suricato</p1>
</html>
Click the teste.html file to test the page.
teste.html screen

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5.4. Enable Php mode via ISAPI

In the Connections column, select the Default Web Site link.
In the Default Web Site Home column, click on Handler Mappings.
Default Web Site Home Screen
In the Actions column, click on the Add Script Map link.
Handler Mappings Screen
In the Request path field, type *.php,
In the Executable field: (Php folder and “php5isapi.dll” file path)
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\php-5.2.11”
In the Name field, type PHP, and then click the (OK) button.
Add Script Map Screen
Click the (Yes) button.
Add Script Map Screen
In the Connections column, click the ESK (ESK\Administrator) link.
In the ESK Home column, click the (ISAPI and CGI Restrictions) button.
ESK Home Screen
In the Actions column, click the Add link.
ISAPI or CGI Restrictions Screen
In the ISAPI or CGI path field: (enter path and name of “php5isapi.dll” file)
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\php-5.2.11”
In the Description field, type “PHP”.
Select the Allow extension path to execute option and click the (OK) button.
Edit ISAPI or CGI Restriction Screen
The phpIsapi dll will be created in the ISAPI and CGI Restrictions column.
ISAPI or CGI Restrictions Screen
Access the directory and execute the “php.exe” file:
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\php-5.2.11”
Prompt php.exe screen
In the Windows environment variable, if there is the PHPRC variable, edit and change the variable path to Suricato’s “php-5.2.11” folder after restarting the IIS.
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\php-5.2.11”
Edit System Variable Screen
Access the address:
“https://IP do Servidor do IIS/scriptcase/info.php”
If the variable location for the php.ini located in the “ Loaded Configuration File ” column is not changed to the Suricato folder directory, restart the server.
“C:\Program Files\Telematica\Suricato20IIS\Telematica\Suricato\apache\php-5.2.11”
info.php page screen

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.


5.5. Configure Suricato.dll via ISAPI Module

In the Connections column, select the Default Web Site link.
In the Default Web Site Home column, click the (Handler Mappings) button.
Default Web Site Home Screen
In the Actions column, click on the Add Script Map link.
Handler Mappings Screen
In the Request path: field, type suricato.dll
In the Executable field, inform the suricato.dll path.
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\cgi-bin”
In the Name field, type Suricato.
Click the (Request Restrictions) button.
Add Script Map Screen
Go to the (Access) tab, select the Execute option and click the (OK) button.
Request Restrictions Screen
Click the (Yes) button.
Add Script Map Screen
In the Connections column, select the ESK (ESK\Administrator) link.
In the ESK Home column, click the (ISAPI and CGI Restrictions) button.
ESK Home Screen
In the Actions column, click the Add link.
ISAPI or CGI Restrictions Screen
In the ISAPI or CGI path field: (enter path and name of “suricato.dll” file)
“C:\Program Files\Telematica\Suricato\Telematica\Suricato\apache\cgi-bin”
Edit ISAPI or CGI Restriction Screen
In the Connections column, right-click on the Default Web Site link and select the Add Virtual Directory option.
Default Web Site Home Screen
In the Alias field, type Suricato.
In the Physical path field: (enter the path to the CGI folder)
“C:\Program Files\Telematica\Suricato20IIS\Telematica\Suricato\apache\cgi-bin”.
Add Virtual Directory Screen
The Virtual Directories column will have the CGI folder directory.
Virtual Directories Screen
Add permission for folder CGI:
“C:\Program Files\Telematica\Suricato20IIS\Telematica\Suricato\apache\cgi-bin”
CGI-Bin Properties Screen
In the Connections column, select the ESK (ESK\Administrator) link.
In the Actions column, click on the Restart link.
ESK Home Screen
Access the Suricato link:
“https://Ip do Servidor IIS/telematica/suricato.dll”
Suricato Access Screen

© Copyright

This document is the intellectual property of Telemática Sistemas Inteligentes. It may be copied in whole or in part, provided this Copyright is included in each copy.

® Trademarks
SURICATO and CODIN are registered trademarks of Telematics Smart Systems. Technical specifications and availability are subject to change without notice.